Skip to navigation

Get LITT Cards

This API endpoint fetches all the LITT cards associated with a user’s account.

Request Body

The body of the request does not require any field.

Response

The response will be an array of cards with each containing the following details:

  • credit_card_id (string): The unique identifier of the credit card.

  • parent_user_id (string): If the card is associated with a parent user this is their ID.

  • external_id (string): The external identifier of the credit card.

  • order_id (string): The order ID related to the card.

  • credit_card_token (string): A token used to represent the credit card.

  • bsb (string): The Bank-State-Branch (BSB) number used in Australia.

  • account_number (string): The account number of the credit card.

  • last_4_digits (string): The last four digits of the credit card number.

  • holder_name (string): The name of the cardholder.

  • expiry_date (string): The expiry date of the credit card.

  • label (string): The label of the card.

  • type (string): The card type, e.g. Visa, MasterCard.

  • user_type (string): The type of user the card belongs to.

  • is_default (boolean): Whether the card is set as the default credit card.

  • created_at (string): The date when the card was added.

  • updated_at (string): The date when the card details were last updated.

  • ppan (string): The Primary account number on the card.

  • contact_info (string): The contact information associated with the card.

  • payment_gateway (object): An object containing information about the payment gateway the card is associated with. This includes gateway’s id, name, whether it supports teen card, email support, IVR for PIN, customer service number, status, and the dates when it was created and last updated.

Query parameters

api_tokenstringOptional

Request

This endpoint expects an object.
apistringOptional
dataobjectOptional

Response

Get LITT Cards
messagestringOptional
apistringOptional
statusstringOptional
datalist of objectsOptional